/* this is needed to give mat-snack-bar height */
.mat-snack-bar-container > div,
.mat-snack-bar-container > div > div {
  height: inherit;
}

.ri-alert-container.mat-snack-bar-container,
.ri-status-message.mat-snack-bar-container {
  $width: 50vw;
  $height: calc(#{$width} * .25); /* height is a 1:4 ratio of width */

  position: absolute;
  top: calc(33vh - (#{$height} / 3)); /* position vertically with law of thirds */
  left: calc(50vw - (#{$width} / 2));
  height: $height;
  width: $width;
  margin: 0;
  padding: 0;
  max-width: unset;
  box-shadow: 0 2px 4px $greycool-darkest;
  border-radius: 5px;
  background: linear-gradient(
      0deg,
      $white-lightest 0%,
      $bluewarmvividfade-lighter 100%
  );

  .ri-alert,
  .ri-status-message-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
  }
}

.ri-alert-success,
.ri-status-message-success {
  color: $pure-green;
  font-size: 5vw;
  height: 5vw !important;
  width: 5vw !important;
}

.ri-alert-fail,
.ri-status-message-fail {
  color: $pure-red;
  font-size: 5vw;
  height: 5vw !important;
  width: 5vw !important;
}

.ri-alert-text,
.ri-status-message-text {
  color: $black-lightest !important;
  font-weight: 500;
  font-size: 2.5vw;
}
